package cn.bunny.controller;


import cn.bunny.common.spzx.model.entity.product.Category;
import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.service.CategoryService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "查询分类")
@RestController
@RequestMapping("/admin/product/category")
public class CategoryController {
    @Autowired
    CategoryService categoryService;

    @Operation(summary = "查询分类类别", description = "使用懒加载")
    @GetMapping("/findCategoryList/{id}")
    public Result findCategoryList(@PathVariable("id") Long id) {
        List<Category> categoryList = categoryService.findCategoryList(id);

        return Result.build(categoryList, ResultCodeEnum.SUCCESS);
    }
}
